Subject: bug#76301: Impossible to run both unbound-service-type and knot-service-type

From: Evgeny Pisemsky <[email-masked]>
Date: Sat, 15 Feb 2025 08:28:31 +0300

I tried to switch from my homemade unbound service to the recently
added to guix; got an error saying that dns service is provided twice,
because knot was already on the server, and they both provision dns.

But it is technically fine to run them both on different interfaces,
where unbound works as a resolver and knot as an authoritative server.